Find the answer to your Linux question:
Results 1 to 2 of 2
I'm using genkernel 2.6.17-r8 (BEFORE YOU DIRECT ME TO GUIDES/IRC/GENTOO-WIKI KNOW THAT I'M ONLY POSTING HERE BECAUSE I HAVE EXHAUSTED ALL OF THOSE RESOURCES.) Sound problems --- ALSA I want ...
Enjoy an ad free experience by logging in. Not a member yet? Register.
  1. #1
    Just Joined!
    Join Date
    Oct 2006
    Posts
    4

    My share of x86_64 Gentoo problems (help!)


    I'm using genkernel 2.6.17-r8

    (BEFORE YOU DIRECT ME TO GUIDES/IRC/GENTOO-WIKI KNOW THAT I'M ONLY POSTING HERE BECAUSE I HAVE EXHAUSTED ALL OF THOSE RESOURCES.)

    Sound problems --- ALSA
    I want to use genkernels ALSA support (it worked before I installed KDE)
    unix bryan # /etc/init.d/alsasound start
    * Loading ALSA modules ...
    * Loading: snd-card-0 ...
    WARNING: Could not open '/lib/modules/2.6.17-gentoo-r8/kernel/sound/drivers/mpu401/snd-mpu401-uart.ko': No such file or directory
    WARNING: Could not open '/lib/modules/2.6.17-gentoo-r8/kernel/sound/pci/ac97/snd-ac97-bus.ko': No such file or directory
    WARNING: Could not open '/lib/modules/2.6.17-gentoo-r8/kernel/sound/pci/ac97/snd-ac97-codec.ko': No such file or directory
    FATAL: Error inserting snd_via82xx (/lib/modules/2.6.17-gentoo-r8/alsa-driver/pci/snd-via82xx.ko): Unknown symbol in module, or unknown parameter (see dmesg) [ !! ]
    * Loading: snd-seq-oss ... [ ok ]
    * Loading: snd-pcm-oss ... [ ok ]
    * ERROR: Failed to load necessary drivers [ ok ]
    * Restoring Mixer Levels ... [ ok ]

    I have no idea what to do, recompile and reboot? What should I do to fix that? It worked prior to emerging kde.

    Video Problems & DRI ATi Support (or lackthereof)
    I do not have direct rendering on (i've tried every-****ing-thing to get it to work)
    I cannot load the agpgart module
    I have no fkng idea what driver to use for my ati radeon. It's fglrx right now, but I've read guides where people use the "radeon" driver, anytime I use this I just get "module cannot be found" error upon starting Xorg

    unix bryan # glxinfo | grep rendering
    direct rendering: No

    Please help, thanks.

  2. #2
    Just Joined!
    Join Date
    Oct 2006
    Posts
    4
    More errors when I try to run Quake 3
    /usr/games/bin/quake3-bin +set r_AllowSoftwareGL 1

    Produces...
    Sys_Error: recursive error after: User Interface is version 3, expected 6

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •